Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class AbstractFullBinding

author:
  Danno Ferrin

version:
  $Revision: 7892 $

since:
  Groovy 1.1

Field Summary
`Closure` | `converter`
`Closure` | `reverseConverter`
`SourceBinding` | `sourceBinding`
`TargetBinding` | `targetBinding`
`Closure` | `validator`

Constructor Summary
`AbstractFullBinding()`

Method Summary
`void` | `fireBinding()`
`void` | `fireReverseBinding()`
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `reverseUpdate()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding sourceBinding)`
`void` | `setTargetBinding(TargetBinding targetBinding)`
`void` | `setValidator(Closure validator)`
`void` | `update()`

Constructor Detail

### AbstractFullBinding

    AbstractFullBinding()

Method Detail

### fireBinding

    void fireBinding()

### fireReverseBinding

    void fireReverseBinding()

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### reverseUpdate

    public void reverseUpdate()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding sourceBinding)

### setTargetBinding

    public void setTargetBinding(TargetBinding targetBinding)

### setValidator

    public void setValidator(Closure validator)

### update

    public void update()